aboutsummaryrefslogtreecommitdiff
path: root/REGRESS
diff options
context:
space:
mode:
authorArnold D. Robbins <arnold@skeeve.com>2018-08-22 20:40:26 +0300
committerArnold D. Robbins <arnold@skeeve.com>2018-08-22 20:40:26 +0300
commit32093f5bbf567525d88566a449a89c72d2845e7e (patch)
treee318357b7bf5a945f7cf9abd4bb9beb50f6c093a /REGRESS
parentba7569c255707801e91d04387fbcf22465b9181e (diff)
downloadone-true-awk-32093f5bbf567525d88566a449a89c72d2845e7e.tar.gz
Fix multiple long-standing bugs, improve test suite.
Diffstat (limited to 'REGRESS')
-rwxr-xr-xREGRESS17
1 files changed, 17 insertions, 0 deletions
diff --git a/REGRESS b/REGRESS
index f4372d6..facbd83 100755
--- a/REGRESS
+++ b/REGRESS
@@ -1,3 +1,20 @@
+#! /bin/sh
+
+if [ -d testdir ]
+then
+ true # do nothing
+elif [ -f awktest.tar ]
+then
+ echo extracting testdir
+ tar -xpf awktest.tar
+else
+ echo $0: No testdir directory and no awktest.tar to extract it from! >&2
+ exit 1
+fi
+
cd testdir
pwd
+PATH=.:$PATH
+export PATH
+
REGRESS